Product Catalog Check Batch Request Status
Updated: Feb 3, 2026
This is a Graph API edge that returns the status of a single Batch API request. Hence the resulting collection always contains a single element - the status.
Reading
Retrieve status of the request
Example
GET /v25.0/{product-catalog-id}/check_batch_request_status HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
handlestring |
A ‘handle’ string from the response of one of Catalog Batch API endpoints (example: /items_batch response specifications)
required |
load_ids_of_invalid_requestsboolean | Default value: false
Whether the ‘ids_of_invalid_requests’ field needs to be populated. Unless ‘load_ids_of_invalid_requests’ is set to true the invalid request IDs will always be returned as an empty array (even if some requests are invalid). The default value is ‘false’.
|
Fields
Reading from this edge will return a JSON formatted result:
{
"data": []
}
data
A list of CheckBatchRequestStatus nodes.
Error Codes
| Error Code | Description |
|---|---|
80009 | There have been too many calls to this Catalog account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting. |
100 | Invalid parameter |
190 | Invalid OAuth 2.0 Access Token |
Creating
You can't perform this operation on this endpoint.
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.
Sample API Call
An API call that fetches all of the fields listed above for a request handle
|
|---|
Request |
↳ |
Response |
↳ |